package com.ibiz.util.valuerule.condition;

import lombok.Data;
import com.ibiz.util.valuerule.VRSingleCondition;

/**
 * 递归查询条件（VALUERECURSION）
 * 暂未开放。
 *
 * @param <T>
 */
@Data
public class VRValueRecursionCondition<T> extends VRSingleCondition<T> {
    public VRValueRecursionCondition(String name, Boolean isNotMode, String ruleInfo, T value) {
        super(name, isNotMode, ruleInfo, value);
    }

    @Override
    public boolean validate() {
        return true;
    }
}
